#ifndef RZONEFLOW_H
#define RZONEFLOW_H

//////////////////////////////////////////////////////////////////////////////////
//																		        //
// RootZoneFlow.h - Calculates root zone flow                                   //																		   
// ver 1.0                                                                      //
// Language:    Visual C++ 2010                                                 //
// Platform:    MacBookPro5,4  Win7										        //
// Application: HydroPrime/iHydro Version6, Summer 2012                         //
// Programmer:  				        //																	   	
//////////////////////////////////////////////////////////////////////////////////
/*
  Origin:
  ==================
  Program: iHydro Version V5
  
  Source Code File(s): rrootzone.cpp
  Functions:           V5 - (line 50) rzFlow()
  
  Author(s): Jun Wang, jwang06@mailbox.syr.edu, Original author V4/V4.5
             Yang Yang, yyang31@syr.edu, V5
			  	
						*Incorporated calculations into new architecture
  Creation Date: Summer 2000

  Publication(s): Jun Wang PHDThesis

  Module Operations: 
  ==================
  Updates root zone storage deficit and calculates root zone flow

  Public Interface:
  =================
  RootZoneFlowCalc(Inputs *input, Repo *repo);
  void calculate(Inputs *input, DataFolder *folder, int timeStep);

  Build Process:
  ==============
  Required files
	-ICalc.h, InputsRepository.h, ResultsRepository.h, RootZoneFlow.cpp 
				
  Build commands 
    - devenv hydroprime.sln
   
  Maintenance History:
  ====================

 */
#include "../Inputs/Inputs.h"
#include "../DataFolder.h"

class RootZoneFlowCalc 
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
		static void storeValues(Inputs *input, DataFolder *folder, int timeStep);

		static void giUnderdrain(Inputs * input, DataFolder *folder);
};



#endif