#ifndef SEMIAVESMD_H
#define SEMIAVESMD_H
///////////////////////////////////////////////////////////////////////////////////////
//																		             //
// SemiAveSMD.h - Calculates saturated zone soil moisture deficit    //																		   
// ver 1.0                                                                           //
// Language:    Visual C++ 2010                                                      //
// Platform:    MacBookPro5,4  Win7										             //
// Application: HydroPrime/iHydro Version6, Summer 2012                              //
// Programmer:  				             //																	   	
///////////////////////////////////////////////////////////////////////////////////////
/*
  Origin:
  ==================
  Program: iHydro Version 5
  
  Source Code File(s): rsatzone.cpp
  Functions:           V5 - (line 36) updaveSMD()
  
  Author(s): Jun Wang, jwang06@mailbox.syr.edu, Original author V4/V4.5
             Yang Yang, yyang31@syr.edu, V5
			  	
						*Incorporated calculations into new architecture
  Creation Date: Summer 2000

  Publication(s): Jun Wang PHDThesis

  Module Operations: 
  ==================
  Updates the average soil moisture deficit for a given time step

  Public Interface:
  =================
  SemiSatZoneAveSMDCalc(Inputs *input, Repo *repo);
  void calculate(Inputs *input, DataFolder *folder, int timeStep);

  Build Process:
  ==============
  Required files
	-ICalc.h, InputsRepository.h, ResultsRepository.h, SemiSatZoneAveSMD.cpp 
				
  Build commands 
    - devenv hydroprime.sln
   
  Maintenance History:
  ====================

 */

#include "../Inputs/Inputs.h"
#include "../DataFolder.h"
class SemiAveSMDCalc
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
		
};



#endif