#pragma once
#ifndef STORE_TS_TOTALS_H
#define STORE_TS_TOTALS_H
//////////////////////////////////////////////////////////////////////////////////////
//																		            //
// StoreTimeStepTotalsCalc.h - Calls calculations to  simulate the snow melt process        //
//										Calculation order based on V5 iHydro	    //																		   
// ver 1.0                                                                          //
// Language:    Visual C++ 2010                                                     //
// Platform:    MacBookPro5,4  Win7										            //
// Application: HydroPrime/iHydro Version6, Summer 2012                             //
// Programmer:  				            //																	   	
//////////////////////////////////////////////////////////////////////////////////////
/*

Origin:
==================
Program: iHydro Version V5

Source Code File(s): Sequence/organization of calculations based on watershed.h-hydroProcess() function

Author(s): Jun Wang, jwang06@mailbox.syr.edu, Original author V4/V4.5
Yang Yang, yyang31@syr.edu, V5
 
*Incorporated process simulation into new architecture
Creation Date: Summer 2000

Publication(s): Jun Wang PHDThesis


Module Operations:
==================
...

Public Interface:
=================
SnowMeltProcess(Inputs *input, Repo *repo)
void simulate(int timeStep, std::vector<DataFolder*> &stafolders);



Build Process:
==============
Required files
-IProcess.h, InputsRepository.h, ResultsRepository.h, SnowMeltProcess.cpp

Calculation Packages: SnowMeltOpenArea.h/.cpp, SnowMeltUnderShortVeg.h/.cpp, SnowMeltUnderTreeCalc.h/.cpp


Build commands
- devenv hydroprime.sln

Maintenance History:
====================

*/
#include "../Inputs/Inputs.h"
#include "../DataFolder.h"

class StoreTimeStepTotalsCalc
{
public:
	static void calculate(Inputs *input, int timeStep, std::vector<std::vector<DataFolder*> > &DataDrawers);
	static void storeorganizerValues(Inputs *input, int timeStep, std::vector<std::vector<DataFolder*> > &DataDrawers);
};

#endif