#ifndef UNSATF_H
#define UNSATF_H
//////////////////////////////////////////////////////////////////////////////////
//																		        //
// UnsatZoneFlow.h - Calculates unsaturated zone flow                           //																		   
// ver 1.0                                                                      //
// Language:    Visual C++ 2010                                                 //
// Platform:    MacBookPro5,4  Win7										        //
// Application: HydroPrime/iHydro Version6, Summer 2012                         //
// Programmer:  				        //																	   	
//////////////////////////////////////////////////////////////////////////////////
/*
  Origin:
  ==================
  Program: iHydro Version 5 & iHydro Version 4.5
  
  Source Code File(s): 
					  V5- runsatzone.cpp, (line 86) uszoneQ()
					  V4.5- runsatzone.cpp, (line 106) uszoneQ()
  
  Author(s): Jun Wang, jwang06@mailbox.syr.edu, V4/V4.5
			 Yang Yang, yyang31@syr.edu, V5
			  	
						*Incorporated calculations into new architecture
  Creation Date: Summer 2000

  Publication(s): Jun Wang PHDThesis

  Module Operations: 
  ==================
  Calculates unsaturated zone flow to saturated zone

  Public Interface:
  =================
  UnsatZoneFlowCalc(Inputs *input, Repo *repo);
  void calculate(Inputs *input, DataFolder *folder, int timeStep);

  Build Process:
  ==============
  Required files
	-ICalc.h, InputsRepository.h, ResultsRepository.h, UnsatZoneFlow.cpp 
				
  Build commands 
    - devenv hydroprime.sln
   
  Maintenance History:
  ====================

 */
#include "../Inputs/Inputs.h"
#include "../DataFolder.h"


class UnsatZoneFlowCalc
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
};



#endif