#ifndef UNSATMD2_H
#define UNSATMD2_H
////////////////////////////////////////////////////////////////////////////////////////
//																		              //
// UnsatZoneSoilMoistureDeficitExpDecay.h - Calculates unsaturated zone               //
// soil moisture deficit with exponential decay                                       //																		   
// ver 1.0                                                                            //
// Language:    Visual C++ 2010                                                       //
// Platform:    MacBookPro5,4  Win7										              //
// Application: HydroPrime/iHydro Version6, Summer 2012                               //
// Programmer:  				              //																	   	
////////////////////////////////////////////////////////////////////////////////////////
/*
  Origin:
  ==================
  Program: iHydro Version 5 & iHydro Version 4.5
  
  Source Code File(s): 
					  V5- runsatzoneN.cpp, (line 72) localSoilMD()
					  V4.5- runsatzoneN.cpp, (line 74)localSoilMD ()
  
  Author(s): Jun Wang, jwang06@mailbox.syr.edu, V4/V4.5
			 Yang Yang, yyang31@syr.edu, V5
			  	
						*Incorporated calculations into new architecture
  Creation Date: Summer 2000

  Publication(s): Jun Wang PHDThesis

  Module Operations: 
  ==================
  Calculates local soil moisture deficit for each ln(a/tanB) increment. 

  Public Interface:
  =================
  UnsatZoneSoilMoistureDeficitExpDecayCalc(Inputs *input, Repo *repo);
  void calculate(Inputs *input, DataFolder *folder, int timeStep);

  Build Process:
  ==============
  Required files
	-ICalc.h, InputsRepository.h, ResultsRepository.h, UnsatZoneSoilMoistureDeficitExpDecay.cpp 
				
  Build commands 
    - devenv hydroprime.sln
   
  Maintenance History:
  ====================

 */
#include "../Inputs/Inputs.h"
#include "../DataFolder.h"


class UnsatZoneSoilMoistureDeficitExpDecayCalc
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
};



#endif





// see UnsatZoneSoilMoistureDeficit.h for interface
// remeber to make inputs repository and results repository a friend of this class...inputsrepository.cpp resultsrepository.cpp
// see UnsatZoneSoilMoistureDeficit.cpp for implentation help 
// incporporate equation from Version 5 line 49 void runsatzoneE::localSoilMD () {