#ifndef UNSATMD_H
#define UNSATMD_H
////////////////////////////////////////////////////////////////////////////////////////
//																		              //
// UnsatZoneSoilMoistureDeficit.h - Calculates unsaturated zone soil moisture deficit //																		   
// ver 1.0                                                                            //
// Language:    Visual C++ 2010                                                       //
// Platform:    MacBookPro5,4  Win7										              //
// Application: HydroPrime/iHydro Version6, Summer 2012                               //
// Programmer:  				              //																	   	
////////////////////////////////////////////////////////////////////////////////////////
/*
  Origin:
  ==================
  Program: iHydro Version 5 & iHydro Version 4.5
  
  Source Code File(s): 
					  V5- runsatzoneN.cpp, (line 72) localSoilMD()
					  V4.5- runsatzoneN.cpp, (line 74)localSoilMD ()
  
  Author(s): Jun Wang, jwang06@mailbox.syr.edu, V4/V4.5
			 Yang Yang, yyang31@syr.edu, V5
			  	
						*Incorporated calculations into new architecture
  Creation Date: Summer 2000

  Publication(s): Jun Wang PHDThesis

  Module Operations: 
  ==================
  Calculates local soil moisture deficit for each ln(a/tanB) increment. 

  Public Interface:
  =================
  UnsatZoneSoilMoistureDeficitCalc(Inputs *input, Repo *repo);
  void calculate(Inputs *input, DataFolder *folder, int timeStep);

  Build Process:
  ==============
  Required files
	-ICalc.h, InputsRepository.h, ResultsRepository.h, UnsatZoneSoilMoistureDeficit.cpp 
				
  Build commands 
    - devenv hydroprime.sln
   
  Maintenance History:
  ====================

 */
#include "../Inputs/Inputs.h"
#include "../DataFolder.h"

class UnsatZoneSoilMoistureDeficitPowDecayCalc{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
		static void storeValues(Inputs *input, DataFolder *folder, int timeStep);

};



#endif