#ifndef UNSATS_H
#define UNSATS_H
////////////////////////////////////////////////////////////////////////////////////////
//																		              //
// UnsatZoneStorage.h - Update unsaturated zone storage                               //																		   
// ver 1.0                                                                            //
// Language:    Visual C++ 2010                                                       //
// Platform:    MacBookPro5,4  Win7										              //
// Application: HydroPrime/iHydro Version6, Summer 2012                               //
// Programmer:  				              //																	   	
////////////////////////////////////////////////////////////////////////////////////////
/*
  Origin:
  ==================
  Program: iHydro Version 5 & iHydro Version 4.5
  
  Source Code File(s): 
					  V5- runsatzone.cpp, (line 64) updateSD()
					  V4.5- runsatzone.cpp, (line 84) updateSD()
  
  Author(s): Jun Wang, jwang06@mailbox.syr.edu, V4/V4.5
			 Yang Yang, yyang31@syr.edu, V5
			  	
						*Incorporated calculations into new architecture
  Creation Date: Summer 2000

  Publication(s): Jun Wang PHDThesis

  Module Operations: 
  ==================
  Calculates local soil moisture deficit for each ln(a/tanB) increment. 

  Public Interface:
  =================
   UnsatZoneStorageCalc(Inputs *input, Repo *repo);
  void calculate(Inputs *input, DataFolder *folder, int timeStep);

  Build Process:
  ==============
  Required files
	-ICalc.h, InputsRepository.h, ResultsRepository.h,  UnsatZoneStorage.cpp 
				
  Build commands 
    - devenv hydroprime.sln
   
  Maintenance History:
  ====================

 */



#include "../Inputs/Inputs.h"
#include "../DataFolder.h"


class UnsatZoneStorageCalc
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);

};



#endif