#ifndef WATERONIMPERVPROC_H
#define WATERONIMPERVPROC_H
//////////////////////////////////////////////////////////////////////////////////
//																		        //
// WaterOnImperviousAreaCalc.h - Calculates through flow pervious area                      //																		   
// ver 1.0                                                                      //
// Language:    Visual C++ 2010                                                 //
// Platform:    MacBookPro5,4  Win7										        //
// Application: HydroPrime/iHydro Version6, Summer 2012                         //
// Programmer:  				        //																	   	
//////////////////////////////////////////////////////////////////////////////////
/*
  Origin:
  ==================
  Program: iHydro Version 5 
  
  Source Code File(s): watershed.h - hydroProcess() function
  
  Author(s): Jun Wang, jwang06@mailbox.syr.edu, Original author 
             Yang Yang, yyang31@syr.edu, V5
			  	
						*Incorporated calculation into new architecture
  Creation Date: Summer 2000

  Publication(s): Jun Wang PHDThesis

  Module Operations: 
  ==================
  ...

  Public Interface:
  =================
        

  Build Process:
  ==============
  Required files
	-IProcess.h, InputsRepository.h, WaterOnImperviousArea.cpp 
				
  Build commands 
    - devenv hydroprime.sln
   
  Maintenance History:
  ====================

 */

#include "../Inputs/Inputs.h"
#include "../DataFolder.h"

class WaterOnImperviousAreaCalc 
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
		static void storeValues(Inputs *input, DataFolder *folder, int timeStep);

		static void inflowFromGI_Imp(Inputs *input, DataFolder *folder);
};



#endif